com.google.protobuf

## Class TextFormatParseLocation

- java.lang.Object
- - com.google.protobuf.TextFormatParseLocation

-     public final class TextFormatParseLocation
      extends java.lang.Object

  A location in the source code.

  A location is the starting line number and starting column number.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TextFormatParseLocation` | `EMPTY` The empty location.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getColumn()`
    `int` | `getLine()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final TextFormatParseLocation EMPTY

      The empty location.

  - ### Method Detail

    - #### getLine

          public int getLine()

    - #### getColumn

          public int getColumn()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`